"use strict";
this.name		="NS_Scavenger_Scanner_Hack";
this.author		="NewtSoup, Milo";
this.copyright	="2017 NewtSoup";
this.licence	="CC BY-NC-SA 3.0"; // see http://creativecommons.org/licenses/by-nc-sa/3.0/ for more info."
this.description="Rock Hermit condition for purchasing the Mining Scanner Upgrade";
this.version	="1.1.2";

//this works without parameters because rock hermits are tech level 1 and sell nothing very much so no need to specify the equipment
//as it relies on the Mining Scanner Upgrade being present anyway.  So all we really need to do is when a player is browsing equipment just 
//check that they're docked at a rock hermit.

//revised by Milo so that Ship Storage Helper, Ship Configuration and other OXPs can manage this OXP's equipment
this.allowAwardEquipment = function(eqKey, ship, context) {
	if ( context === "purchase" && player.ship.dockedStation.primaryRole !== "rockhermit")
	{
		return false;
	}
	else // context === 'purchase' (and rockhermit), 'scripted' (Ship Storage Helper, etc.), 'newShips' (other OXPs could list the scanner as standard equipment) or 'npc' (if OXPs switch player ship temporarily, they may spawn a copy of the player ship under NPC/AI control, then switch back later -- allowing player equipment to be awarded to NPC ships in this case makes it easier for such OXPs to do the swap; we still have "available_to_npcs" = no; in equipment.plist to block random spawns)
	{
		return true;
	}
}
